|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Objectorg.apache.commons.chain.web.servlet.RequestParameterMapper
Command that uses a specified request parameter
to select a Command from the appropriate Catalog, and
execute it. To use this command, you would typically map an instance
of ChainProcessor to a wildcard pattern like "*.execute" and
then arrange that this is the default command to be executed. In such
an environment, a request for the context-relative path
"/foo.execute?command=bar" would cause the "/bar" command to be loaded
and executed.
| Constructor Summary | |
RequestParameterMapper()
|
|
| Method Summary | |
boolean |
execute(Context context)
Look up the specified request paramater for this request, and use it to select an appropriate Command to be executed. |
String |
getCatalogKey()
Return the context key under which our Catalog has been
stored. |
String |
getParameter()
Return the name of the request parameter to use for selecting the Command to be executed. |
void |
setCatalogKey(String catalogKey)
Set the context key under which our Catalog has been
stored. |
void |
setParameter(String parameter)
Set the name of the request parameter to use for selecting the Command to be executed. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
public RequestParameterMapper()
| Method Detail |
public String getCatalogKey()
Return the context key under which our Catalog has been
stored.
public void setCatalogKey(String catalogKey)
Set the context key under which our Catalog has been
stored.
catalogKey - The new catalog keypublic String getParameter()
Return the name of the request parameter to use for
selecting the Command to be executed.
public void setParameter(String parameter)
Set the name of the request parameter to use for
selecting the Command to be executed.
parameter - The new parameter name
public boolean execute(Context context)
throws Exception
Look up the specified request paramater for this request, and use it
to select an appropriate Command to be executed.
execute in interface Commandcontext - Context for the current request
true if the processing of this Context
has been completed, or false if the processing
of this Context should be delegated to a subsequent
Command in an enclosing Chain
Exception - general purpose exception return
to indicate abnormal termination
|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||